<?php
// update_banned_status.php

// Your database connection
require_once('database-connection/db.php');

if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['driver_id'])) {
    $driverID = $_POST['driver_id'];

    // Update 'banned' column to 1 in the 'drivers' table for the given driver ID
    $query = "UPDATE drivers SET band = 1 WHERE id = :driverID";
    $stmt = $conn->prepare($query);
    $stmt->bindParam(':driverID', $driverID);

    if ($stmt->execute()) {
        // The update was successful
        echo "Driver banned successfully!";
    } else {
        // Error during the update
        echo "Error banning driver.";
    }
} else {
    // Handle cases when driverID is not set or request method is not POST
    echo "Invalid request.";
}
?>
